## icewm 1.6.2+git20190929

=== debian/changelog ===
icewm (1.6.2+git20190929-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Run wrap-and-sort on d/control.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Nov 2019 19:23:14 -0800

icewm (1.6.2+git20190929-1) unstable; urgency=low

  * New upstream release, plus config build fixes
  * Stop removing/reinstalling alternatives on every upgrade (closes: #931360)
  * Added hard Build-Conflicts on libesd0-dev (closes: #896655)

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Sep 2019 19:02:55 +0200

icewm (1.5.5+git20190728-1) experimental; urgency=low

  * New experimental upstream snapshot
    + Restores TaskBarFullscreenAutoShow functionality (closes: #931230)

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Jul 2019 07:10:07 +0200
