=== debian/control ===
Source: icewm
Section: x11
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 9), libxrender-dev, gettext, libxft-dev (>> 2.1.1) | libxft2-dev, libsndfile1-dev, libao-dev, libsm-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, x11proto-core-dev | x-dev, dpkg-dev (>= 1.16.1~), cmake, asciidoctor, libxpm-dev, libgdk-pixbuf2.0-dev, libglib2.0-dev, libfribidi-dev, librsvg2-dev, libxcomposite-dev, libxdamage-dev, pandoc
# actually the RSVG is only relevant to detect svg support when pixbuf is used. As of 2018-06-10, SVG loader only works with pixbuf. If not for SVG support, libgdk-pixbuf2.0-dev can be replaced with: libpng-dev, libjpeg-dev (>> 1.2)
Build-Conflicts: libttf-dev, libesd0-dev
Standards-Version: 4.1.1
Vcs-Git: https://github.com/Code7R/icewm.git

Package: icewm-common
Architecture: any
Conflicts: menu (<< 2.1.9-1)
Replaces: icewm (<< 1.2.14), icewm-gnome-support (<< 1.3.8-3), icewm-themes (<< 1.3.8-3)
Depends: ${misc:Depends}, ${shlibs:Depends}, sensible-utils
Recommends: menu, xscreensaver, xterm
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. Can emulate the look of
 Windows'95, OS/2 Warp 3,4, Motif. Tries to take the best features of the above
 systems.
 Features multiple workspaces, opaque move/resize, task bar, window list,
 mailbox status, digital clock. Fast and small.
 .
 This package provides the common files for icewm, icewm-experimental and
 icewm-lite binary packages.

Package: icewm
Architecture: any
Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, fonts-dejavu-core | ttf-dejavu-core | custom-icewm-font, ${misc:Depends}
Conflicts: icewm-common (<< 1.3.8-3)
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.

Package: icewm-lite
Architecture: any
Depends: icewm (= ${binary:Version}), icewm-common (= ${binary:Version}), ${misc:Depends}
Section: oldlibs
Description: transitional package for icewm
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides different looks and some desktop-like
 functionality.
 .
 This package only exists to maintain compatibility to system setups that
 relied on the former icewm-lite package. It can be safely removed once the
 system dependencies has been adjusted.

Package: icewm-experimental
Architecture: any
Depends: icewm (= ${binary:Version}), icewm-common (= ${binary:Version}), ${misc:Depends}
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 This package sometimes provides special IceWm versions with experimental
 features enabled. When the configurations of the packages do not diverge
 it simply enforces an upgrade to the current icewm package.
