## icewm 1.6.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -106,78 +106,40 @@
 # perl -e 'print "#cmakedefine HAVE_".uc($_)."\n" for @ARGV' `cat exlist`
 CHECK_FUNCTION_EXISTS(abort HAVE_ABORT)
 CHECK_FUNCTION_EXISTS(backtrace_symbols_fd HAVE_BACKTRACE_SYMBOLS_FD)
-CHECK_FUNCTION_EXISTS(basename HAVE_BASENAME)
-CHECK_FUNCTION_EXISTS(dup2 HAVE_DUP2)
-CHECK_FUNCTION_EXISTS(gethostbyname HAVE_GETHOSTBYNAME)
-CHECK_FUNCTION_EXISTS(gethostname HAVE_GETHOSTNAME)
 CHECK_FUNCTION_EXISTS(getloadavg HAVE_GETLOADAVG2)
-CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)
+CHECK_FUNCTION_EXISTS(if_nameindex HAVE_IF_NAMEINDEX)
+CHECK_FUNCTION_EXISTS(if_nametoindex HAVE_IF_NAMETOINDEX)
 CHECK_FUNCTION_EXISTS(mblen HAVE_MBLEN)
-CHECK_FUNCTION_EXISTS(memchr HAVE_MEMCHR)
 CHECK_FUNCTION_EXISTS(memmove HAVE_MEMMOVE)
-CHECK_FUNCTION_EXISTS(memset HAVE_MEMSET)
-CHECK_FUNCTION_EXISTS(mkdir HAVE_MKDIR)
+CHECK_FUNCTION_EXISTS(memrchr HAVE_MEMRCHR)
 CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)
 CHECK_FUNCTION_EXISTS(select HAVE_SELECT)
 CHECK_FUNCTION_EXISTS(setlocale HAVE_SETLOCALE)
 CHECK_FUNCTION_EXISTS(socket HAVE_SOCKET)
-CHECK_FUNCTION_EXISTS(strcasecmp HAVE_STRCASECMP)
-CHECK_FUNCTION_EXISTS(strchr HAVE_STRCHR)
-CHECK_FUNCTION_EXISTS(strcspn HAVE_STRCSPN)
-CHECK_FUNCTION_EXISTS(strdup HAVE_STRDUP)
-CHECK_FUNCTION_EXISTS(strerror HAVE_STRERROR)
+CHECK_FUNCTION_EXISTS(strlcat HAVE_STRLCAT)
 CHECK_FUNCTION_EXISTS(strlcpy HAVE_STRLCPY)
-CHECK_FUNCTION_EXISTS(strlcat HAVE_STRLCAT)
-CHECK_FUNCTION_EXISTS(strncasecmp HAVE_STRNCASECMP)
-CHECK_FUNCTION_EXISTS(strrchr HAVE_STRRCHR)
-CHECK_FUNCTION_EXISTS(strsignal HAVE_STRSIGNAL)
-CHECK_FUNCTION_EXISTS(strspn HAVE_STRSPN)
-CHECK_FUNCTION_EXISTS(strstr HAVE_STRSTR)
-CHECK_FUNCTION_EXISTS(strtol HAVE_STRTOL)
-CHECK_FUNCTION_EXISTS(strtoul HAVE_STRTOL)
-CHECK_FUNCTION_EXISTS(strlcpy HAVE_STRLCPY)
-CHECK_FUNCTION_EXISTS(strlcat HAVE_STRLCAT)
 CHECK_FUNCTION_EXISTS(sysctlbyname HAVE_SYSCTLBYNAME)
 CHECK_FUNCTION_EXISTS(sysinfo HAVE_SYSINFO)
-CHECK_FUNCTION_EXISTS(uname HAVE_UNAME)
 CHECK_FUNCTION_EXISTS(wordexp HAVE_WORDEXP)
-CHECK_FUNCTION_EXISTS(if_indextoname HAVE_IF_INDEXTONAME)
-CHECK_FUNCTION_EXISTS(nameindex HAVE_IF_NAMEINDEX)
-CHECK_FUNCTION_EXISTS(if_nametoindex HAVE_IF_NAMETOINDEX)
 
 CHECK_LIBRARY_EXISTS (X11 XInternAtoms "" HAVE_XINTERNATOMS)
 
 # perl -e 'do { s/\.|\//_/g; $_=uc $_;  print "#cmakedefine HAVE_$_\n"} for @ARGV' `cat headersDa`
 # perl -e 'do {my $orig=$_; s/\.|\//_/g; $_=uc $_; print "CHECK_INCLUDE_FILE_CXX($orig HAVE_$_)\n"} for @ARGV' `cat headersDa`
+CHECK_INCLUDE_FILE_CXX(execinfo.h HAVE_EXECINFO_H)
 CHECK_INCLUDE_FILE_CXX(fcntl.h HAVE_FCNTL_H)
-CHECK_INCLUDE_FILE_CXX(kstat.h HAVE_KSTAT_H)
-CHECK_INCLUDE_FILE_CXX(langinfo.h HAVE_LANGINFO_H)
-CHECK_INCLUDE_FILE_CXX(libintl.h HAVE_LIBINTL_H)
-CHECK_INCLUDE_FILE_CXX(limits.h HAVE_LIMITS_H)
-CHECK_INCLUDE_FILE_CXX(locale.h HAVE_LOCALE_H)
-CHECK_INCLUDE_FILE_CXX(netdb.h HAVE_NETDB_H)
-CHECK_INCLUDE_FILE_CXX(netinet/in.h HAVE_NETINET_IN_H)
-CHECK_INCLUDE_FILE_CXX(stddef.h HAVE_STDDEF_H)
-CHECK_INCLUDE_FILE_CXX(stdlib.h HAVE_STDLIB_H)
-CHECK_INCLUDE_FILE_CXX(string.h HAVE_STRING_H)
-CHECK_INCLUDE_FILE_CXX(strings.h HAVE_STRINGS_H)
-CHECK_INCLUDE_FILE_CXX(sysctl.h HAVE_SYSCTL_H)
+CHECK_INCLUDE_FILE_CXX(libgen.h HAVE_LIBGEN_H)
+CHECK_INCLUDE_FILE_CXX(machine/apm_bios.h HAVE_MACHINE_APM_BIOS_H)
+CHECK_INCLUDE_FILE_CXX(machine/apmvar.h HAVE_MACHINE_APMVAR_H)
+CHECK_INCLUDE_FILE_CXX(sched.h HAVE_SCHED_H)
+CHECK_INCLUDE_FILE_CXX(sys/dkstat.h HAVE_SYS_DKSTAT_H)
 CHECK_INCLUDE_FILE_CXX(sys/file.h HAVE_SYS_FILE_H)
 CHECK_INCLUDE_FILE_CXX(sys/ioctl.h HAVE_SYS_IOCTL_H)
-CHECK_INCLUDE_FILE_CXX(sys/socket.h HAVE_SYS_SOCKET_H)
+CHECK_INCLUDE_FILE_CXX(sys/param.h HAVE_SYS_PARAM_H)
+CHECK_INCLUDE_FILE_CXX(sys/sched.h HAVE_SYS_SCHED_H)
 CHECK_INCLUDE_FILE_CXX(sys/sysctl.h HAVE_SYS_SYSCTL_H)
-CHECK_INCLUDE_FILE_CXX(sys/time.h HAVE_SYS_TIME_H)
-CHECK_INCLUDE_FILE_CXX(unistd.h HAVE_UNISTD_H)
+CHECK_INCLUDE_FILE_CXX(uvm/uvm_param.h HAVE_UVM_UVM_PARAM_H)
 CHECK_INCLUDE_FILE_CXX(wchar.h HAVE_WCHAR_H)
-CHECK_INCLUDE_FILE_CXX(sched.h HAVE_SCHED_H)
-CHECK_INCLUDE_FILE_CXX(sys/sched.h HAVE_SYS_SCHED_H)
-CHECK_INCLUDE_FILE_CXX(sys/dkstat.h HAVE_SYS_DKSTAT_H)
-CHECK_INCLUDE_FILE_CXX(sys/param.h HAVE_SYS_PARAM_H)
-CHECK_INCLUDE_FILE_CXX(uvm/uvm_param.h HAVE_UVM_UVM_PARAM_H)
-CHECK_INCLUDE_FILE_CXX(libgen.h HAVE_LIBGEN_H)
-CHECK_INCLUDE_FILE_CXX(machine/apmvar.h HAVE_MACHINE_APMVAR_H)
-CHECK_INCLUDE_FILE_CXX(machine/apm_bios.h HAVE_MACHINE_APM_BIOS_H)
-CHECK_INCLUDE_FILE_CXX(execinfo.h HAVE_EXECINFO_H)
 
 CHECK_TYPE_SIZE(char SIZEOF_CHAR)
 CHECK_TYPE_SIZE(long SIZEOF_LONG)
@@ -328,3 +290,55 @@
     ENDIF()
 endif()
 
+option(CONFIG_COREFONTS "Define to enable X11 core fonts" off)
+option(CONFIG_XFREETYPE "Define to enable XFT support" on)
+if(CONFIG_XFREETYPE)
+    pkg_check_modules(xft xft>=2.0)
+    IF(NOT xft_FOUND)
+        message(WARNING "xft library (>=2.0) not found, disabling CONFIG_XFREETYPE")
+        set(CONFIG_XFREETYPE off)
+        set(CONFIG_COREFONTS on)
+    ELSE()
+        set(CONFIG_XFREETYPE_VALUE 2)
+    ENDIF()
+else()
+    set(CONFIG_COREFONTS on)
+endif()
+
+set(ICESOUND "ALSA,AO,OSS,ESound" CACHE STRING "List of supported audio subsystems")
+string(TOLOWER ${ICESOUND} ICESOUND)
+message(STATUS "Checking audio subsystems from ICESOUND: ${ICESOUND}")
+
+#clear cache
+set(ENABLE_ALSA off)
+set(ENABLE_AO off)
+set(ENABLE_OSS off)
+set(audio_libs )
+set(audio_flags )
+# Triggers some cmake bug, use copy-pasta for now
+#macro(_addsnd varname flagname)
+#        set("${FLAGNAME}" "${${varname}_FOUND}")
+#        if("${${varname}_FOUND}" EQUAL 1)
+#                list(APPEND audio_libs "${${varname}_LDFLAGS}" "${${varname}_LIBS}")
+#                list(APPEND audio_flags "${${varname}_CFLAGS}")
+#        endif()
+#endmacro()
+
+pkg_check_modules(sndfile sndfile)
+if(sndfile_FOUND)
+    if(sndfile_FOUND)
+        list(APPEND audio_flags "${sndfile_CFLAGS}")
+        list(APPEND audio_libs ${sndfile_LDFLAGS})
+        list(APPEND audio_libs ${sndfile_LIBS})
+    endif()
+    if("${ICESOUND}" MATCHES "alsa")
+        pkg_check_modules(alsa alsa)
+        set(ENABLE_ALSA "${alsa_FOUND}")
+        if(alsa_FOUND)
+            list(APPEND audio_flags "${alsa_CFLAGS}")
+            list(APPEND audio_libs ${alsa_LDFLAGS})
+            list(APPEND audio_libs ${alsa_LIBS})
+        endif()
+    endif()
+    if("${ICESOUND}" MATCHES "ao")
+        pkg_check_modules(ao ao)
