=== debian/changelog ===
icewm (1.6.5-1.0antix2) unstable; urgency=medium

  * Fix TaskBarAutoHide for TaskBarDoubleHeight

 -- anticapitalista <antix@operamail.com>  Wed, 01 Apr 2020 17:05:23 +0300

icewm (1.6.5-1.0antix1) unstable; urgency=medium

  * antiX buster build
  * removed all icewm themes except metal2
  * removed icewmbg, icewm-menu-fdo, icewm-set-gnomewm

 -- anticapitalista <antix@operamail.com>  Thu, 19 Mar 2020 10:07:55 +0200

icewm (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Fix dh_auto_clean call

 -- Eduard Bloch <blade@debian.org>  Wed, 18 Mar 2020 18:46:40 +0100
