=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 endif
 
 %:
-	dh $@ --parallel -Scmake
+	dh $@ -Scmake
 
 # DEBVERSION=$(shell dpkg-parsechangelog -SVersion)
 # that one also works with wheezy
@@ -93,6 +93,7 @@
 	rm -rf $(BDIR)-lite $(BDIR)-normal IceWM-FAQ.txt configure.in
 	# the variants are just symlinks
 	rm -f debian/icewm-*.postinst debian/icewm-*.prerm
+	dh_auto_clean
 
 override_dh_installchangelogs:
 	dh_installchangelogs -picewm-common CHANGES
