## icewm 1.8.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -119,7 +119,6 @@
 CHECK_FUNCTION_EXISTS(strlcpy HAVE_STRLCPY)
 CHECK_FUNCTION_EXISTS(sysctlbyname HAVE_SYSCTLBYNAME)
 CHECK_FUNCTION_EXISTS(sysinfo HAVE_SYSINFO)
-CHECK_FUNCTION_EXISTS(wordexp HAVE_WORDEXP)
 
 CHECK_LIBRARY_EXISTS (X11 XInternAtoms "" HAVE_XINTERNATOMS)
 
@@ -334,3 +333,4 @@
         set(ENABLE_ALSA "${alsa_FOUND}")
         if(alsa_FOUND)
             list(APPEND audio_flags "${alsa_CFLAGS}")
+            list(APPEND audio_libs ${alsa_LDFLAGS})
