=== debian/changelog ===
icewm (1.8.1-1.0antix1) unstable; urgency=medium

  * Latest upstream release
  * antiX build

 -- anticapitalista <antix@operamail.com>  Tue, 01 Sep 2020 16:31:14 +0300
